summaryrefslogtreecommitdiffstats
path: root/meta/recipes-connectivity/connman/connman-0.75
diff options
context:
space:
mode:
authorDongxiao Xu <dongxiao.xu@intel.com>2011-06-28 15:58:40 +0800
committerRichard Purdie <richard.purdie@linuxfoundation.org>2011-06-29 14:46:54 +0100
commit53de954ae433326d09f4cdcfd63d8241ba935980 (patch)
tree5a88e777bca060c1d7292bcf63859cb309a41ea5 /meta/recipes-connectivity/connman/connman-0.75
parent6873c1adea0dee712e2636da9e90bc755a6b4097 (diff)
downloadast2050-yocto-poky-53de954ae433326d09f4cdcfd63d8241ba935980.zip
ast2050-yocto-poky-53de954ae433326d09f4cdcfd63d8241ba935980.tar.gz
connman: Upgrade to version 0.75
Enable ofono plugin. Adopt some logic in meta-oe on connman plugin runtime dependency. Remove the fix-shutdown-ap-disconnect.patch since the original logic no longer exists. Add Upstream-Status information for patches. (From OE-Core rev: 7d24ef3454d2bcdf175c17206c8016bafe5e9372) Signed-off-by: Dongxiao Xu <dongxiao.xu@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/recipes-connectivity/connman/connman-0.75')
-rw-r--r--meta/recipes-connectivity/connman/connman-0.75/add_xuser_dbus_permission.patch23
-rw-r--r--meta/recipes-connectivity/connman/connman-0.75/connman62
-rw-r--r--meta/recipes-connectivity/connman/connman-0.75/dbusperms.patch14
3 files changed, 99 insertions, 0 deletions
diff --git a/meta/recipes-connectivity/connman/connman-0.75/add_xuser_dbus_permission.patch b/meta/recipes-connectivity/connman/connman-0.75/add_xuser_dbus_permission.patch
new file mode 100644
index 0000000..764c689
--- /dev/null
+++ b/meta/recipes-connectivity/connman/connman-0.75/add_xuser_dbus_permission.patch
@@ -0,0 +1,23 @@
+Some platform (like atom-pc) enables rootless X,
+thus we need to add the xuser in the list.
+
+Upstream-Status: Inappropriate [configuration]
+
+Signed-off-by: Dongxiao Xu <dongxiao.xu@intel.com>
+
+diff -ruN connman-0.65-orig/src/connman-dbus.conf connman-0.65/src/connman-dbus.conf
+--- connman-0.65-orig/src/connman-dbus.conf 2011-03-04 09:34:49.000000000 +0800
++++ connman-0.65/src/connman-dbus.conf 2011-03-04 09:35:21.000000000 +0800
+@@ -7,6 +7,12 @@
+ <allow send_interface="net.connman.Agent"/>
+ <allow send_interface="net.connman.Counter"/>
+ </policy>
++ <policy user="xuser">
++ <allow own="net.connman"/>
++ <allow send_destination="net.connman"/>
++ <allow send_interface="net.connman.Agent"/>
++ <allow send_interface="net.connman.Counter"/>
++ </policy>
+ <policy at_console="true">
+ <allow send_destination="net.connman"/>
+ </policy>
diff --git a/meta/recipes-connectivity/connman/connman-0.75/connman b/meta/recipes-connectivity/connman/connman-0.75/connman
new file mode 100644
index 0000000..f01bf37
--- /dev/null
+++ b/meta/recipes-connectivity/connman/connman-0.75/connman
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+DAEMON=/usr/sbin/connmand
+PIDFILE=/var/run/connmand.pid
+DESC="Connection Manager"
+
+if [ -f /etc/default/connman ] ; then
+ . /etc/default/connman
+fi
+
+set -e
+
+nfsroot=0
+
+exec 9<&0 < /proc/mounts
+while read dev mtpt fstype rest; do
+ if test $mtpt = "/" ; then
+ case $fstype in
+ nfs | nfs4)
+ nfsroot=1
+ break
+ ;;
+ *)
+ ;;
+ esac
+ fi
+done
+
+do_start() {
+ EXTRA_PARAM=""
+ if test $nfsroot -eq 1 ; then
+ EXTRA_PARAM="-P ethernet"
+ fi
+ $DAEMON $EXTRA_PARAM
+}
+
+do_stop() {
+ start-stop-daemon --stop --name connmand --quiet
+}
+
+case "$1" in
+ start)
+ echo "Starting $DESC"
+ do_start
+ ;;
+ stop)
+ echo "Stopping $DESC"
+ do_stop
+ ;;
+ restart|force-reload)
+ echo "Restarting $DESC"
+ do_stop
+ sleep 1
+ do_start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/meta/recipes-connectivity/connman/connman-0.75/dbusperms.patch b/meta/recipes-connectivity/connman/connman-0.75/dbusperms.patch
new file mode 100644
index 0000000..c331654
--- /dev/null
+++ b/meta/recipes-connectivity/connman/connman-0.75/dbusperms.patch
@@ -0,0 +1,14 @@
+Upstream-Status: Inappropriate [configuration]
+
+Index: git/src/connman-dbus.conf
+===================================================================
+--- git.orig/src/connman-dbus.conf 2009-05-26 00:34:35.000000000 +0100
++++ git/src/connman-dbus.conf 2009-05-26 00:34:48.000000000 +0100
+@@ -10,6 +10,6 @@
+ <allow send_destination="org.moblin.connman"/>
+ </policy>
+ <policy context="default">
+- <deny send_destination="org.moblin.connman"/>
++ <allow send_destination="org.moblin.connman"/>
+ </policy>
+ </busconfig>
OpenPOWER on IntegriCloud